com.ihr.xbrl.dts

## Enum PeriodComparator.PeriodComparatorType

- java.lang.Object
- - java.lang.Enum<PeriodComparator.PeriodComparatorType>
  - - com.ihr.xbrl.dts.PeriodComparator.PeriodComparatorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PeriodComparator.PeriodComparatorType>
  Enclosing class:
    PeriodComparator

      public static enum PeriodComparator.PeriodComparatorType
      extends java.lang.Enum<PeriodComparator.PeriodComparatorType>

  The Enum PeriodComparatorType.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING` The ascending.
    `DESCENDING` The descending.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PeriodComparator.PeriodComparatorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PeriodComparator.PeriodComparatorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final PeriodComparator.PeriodComparatorType ASCENDING

      The ascending.

    - #### DESCENDING

          public static final PeriodComparator.PeriodComparatorType DESCENDING

      The descending.

  - ### Method Detail

    - #### values

          public static PeriodComparator.PeriodComparatorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PeriodComparator.PeriodComparatorType c : PeriodComparator.PeriodComparatorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PeriodComparator.PeriodComparatorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null